<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Cadastro</title>

        <link rel="stylesheet" type="text/css" href="css/healthtrack.css">
        <link rel="stylesheet" type="text/css" href="node_modules/bootstrap/dist/css/bootstrap.css"/>
        <link rel="stylesheet" type="text/css" href="node_modules/datatables.net-dt/css/jquery.dataTables.css"/>

    </head>
    <body>
        <nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
            <div class="col-sm-3 col-md-2 mr-0">
                <div class="ht-logo d-flex justify-content-center">
                    <img src="img/logo.png" alt="Logo" height="45">
                </div>
            </div>
            <ul class="navbar-nav px-3">
                <li class="nav-item text-nowrap">
                    <a class="nav-link" href="javascript:SessionStorage.logout();">Sair</a>
                </li>
            </ul>
        </nav>
        <div class="container-fluid">
            <div class="row">
                <nav class="col-md-2 d-none d-md-block bg-light sidebar">
                    <div class="sidebar-sticky">
                        <ul class="nav flex-column">
                            <li class="nav-item">
                                <a class="nav-link" href="dashboard.html">
                                <span data-feather="home"></span>
                                Dashboard
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="cadastro.html">
                                <span data-feather="users"></span>
                                Cadastro <span class="sr-only">(current)</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="dispositivos.html">
                                <span data-feather="folder"></span>
                                Dispositivos
                                </a>
                            </li>
                        </ul>
                    </div>
                </nav>


                <main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
                    <h2 class="h2">Cadastro</h2>
                    <hr>

                    <div class="row">
                        <div class="col-4">
                            <img src="img/usuario.jpg" class="img-fluid">
                        </div>
                        <div class="col-8">
                                <form id="usuario">
                                    <div class="row">
                                        <div class="col-md-6 mb-3">
                                            <label for="Nome">Nome</label>
                                            <input type="text" class="form-control" id="nome">
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Sobrenome">Sobrenome</label>
                                            <input type="text" class="form-control" id="sobrenome">
                                        </div>
                                    </div>

                                    <div class="mb-3">
                                        <label for="Email">e-mail</label>
                                        <input type="text" class="form-control" id="email">
                                    </div>

                                    <div class="row">
                                        <div class="col-md-6 mb-3">
                                            <label for="Senha">Senha</label>
                                            <input type="text" class="form-control" id="senha">
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <label for="Confirmar senha">Confirmar senha</label>
                                            <input type="text" class="form-control" id="senha_confirmar">
                                        </div>
                                    </div>

                                    <hr class="mb-4">

                                    <div class="row">
                                        <div class="col-md-6 mb-3">
                                            <a class="btn btn-primary btn-lg btn-block" id="btnEditar" href="javascript:void(0)">
                                                <span data-feather="edit-2"></span> Editar
                                            </a>
                                        </div>
                                        <div class="col-md-6 mb-3">
                                            <a class="btn btn-primary btn-lg btn-block" id="btnSalvar" href="javascript:void(0)">Salvar</a>
                                        </div>
                                    </div>
                                    
                                </form>
                        </div>
                    </div>

                </main>
            </div>
        </div>

        <div id="modal-campos-obrigatorios" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="card text-white bg-danger">
                    <div class="card-header">Atenção
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="card-body">
                        <p class="card-text">Preencher todos os campos obrigatórios</p>
                    </div>
                </div>
            </div>
        </div>

        <div id="modal-dados-salvos" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="card text-white bg-success">
                    <div class="card-header">Cadastro
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="card-body">
                        <p class="card-text">Cadastro atualizado com sucesso</p>
                    </div>
                </div>
            </div>
        </div>

        <script type="text/javascript" src="node_modules/jquery/dist/jquery.min.js"></script>
        <script type="text/javascript" src="node_modules/popper.js/dist/umd/popper.min.js"></script>
        <script type="text/javascript" src="node_modules/bootstrap/dist/js/bootstrap.js"></script>
        <script type="text/javascript" src="node_modules/feather-icons/dist/feather.min.js"></script>
        <script type="text/javascript" src="node_modules/datatables.net/js/jquery.dataTables.js"></script>
        <script type="text/javascript" src="node_modules/jquery-mask-plugin/dist/jquery.mask.min.js"></script>
        <script>
            feather.replace()
        </script>

        <script src="js/session_storage.js"></script>
        <script src="js/rest_usuario.js"></script>
        <script src="js/cadastro.js"></script>

        <script type="text/javascript">
            $(document).ready(function() {
                Usuario.init();
            });
        </script>

    </body>
</html>